beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From angoenka <...@git.apache.org>
Subject [GitHub] beam pull request #4070: [BEAM-3135] Adding futures dependency to python SDK
Date Wed, 01 Nov 2017 23:43:57 GMT
GitHub user angoenka opened a pull request:

    https://github.com/apache/beam/pull/4070

    [BEAM-3135] Adding futures dependency to python SDK

    Follow this checklist to help us incorporate your contribution quickly and easily:
    
     - [ ] Make sure there is a [JIRA issue](https://issues.apache.org/jira/projects/BEAM/issues/)
filed for the change (usually before you start working on it).  Trivial changes like typos
do not require a JIRA issue.  Your pull request should address just this issue, without pulling
in other changes.
     - [ ] Each commit in the pull request should have a meaningful subject line and body.
     - [ ] Format the pull request title like `[BEAM-XXX] Fixes bug in ApproximateQuantiles`,
where you replace `BEAM-XXX` with the appropriate JIRA issue.
     - [ ] Write a pull request description that is detailed enough to understand what the
pull request does, how, and why.
     - [ ] Run `mvn clean verify` to make sure basic checks pass. A more thorough check will
be performed on your pull request automatically.
     - [ ] If this contribution is large, please file an Apache [Individual Contributor License
Agreement](https://www.apache.org/licenses/icla.pdf).
    
    ---
    [sdk_worker](https://github.com/apache/beam/blob/a33c717dbb9b25485218b135a78b5cdb3f8239c9/sdks/python/apache_beam/runners/worker/sdk_worker.py#L30)
is importing [futures](https://pypi.python.org/pypi/futures) module without declaring it in[
setup.py](https://github.com/apache/beam/blob/a33c717dbb9b25485218b135a78b5cdb3f8239c9/sdks/python/setup.py#L97)
    Adding the direct dependency to futures to fix the dependencies of python sdk. 

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/angoenka/beam fixing_dependency

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/beam/pull/4070.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #4070
    
----
commit c344024dce1469b4fa233e3adf2e2a946cec96e7
Author: Ankur Goenka <goenka@goenka.svl.corp.google.com>
Date:   2017-11-01T23:27:52Z

    [BEAM-3135] Adding futures dependency to python SDK

----


---

Mime
View raw message